<div class="container custom-container-2">

  <app-user-create></app-user-create>

    <!-- Show it when there is no user -->
    <div class="no-data text-center" *ngIf="User.length == 0">
      <p>There is no user added yet!</p>
      <button class="btn btn-outline-primary" routerLink="/create-user">Add User</button>
    </div>
  
    <!-- Users list table, it hides when there is no user -->
    <div *ngIf="User.length !== 0">
      <h3 class="mb-3 text-center">Users List</h3>
  
      <div class="col-md-12">
        <table class="table table-bordered">
          <thead>
            <tr>
              <th scope="col">User Id</th>
              <th scope="col">Name</th>
              <th scope="col">Email</th>
              <th scope="col">Action</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let user of User">
              <td>{{user.id}}</td>
              <td>{{user.name}}</td>
              <td>{{user.email}}</td>
              <td>
                <span class="btn btn-primary edit m-1" routerLink="/user-update/{{user.id}}">Edit</span>
                <span class="btn btn-danger delete m-1" (click)="deleteUser(user.id)">Delete</span>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
  
    </div>
  
  </div>